#データパック読み込み時最初の一度だけ実行される



tellraw @a [{"text":"######################################################","color":"gold"}]
tellraw @a [{"text":"=","color":"gray"},{"text":"データパック"},{"text":"《harusaru_pack》","color":"green"},{"text":"が読み込まれました","color":"gold"},{"text": "=","color":"gray"}]
tellraw @a [{"text":"=========","color":"gray"},{"text":"現在のバージョンは"},{"text":"[alpha:5.1.0.1]","color":"green","hoverEvent":{"action":"show_text","value":"全体完成度：大規模追加要素, 小規模追加要素, 大規模修正, 小規模修正"}},{"text":"です"},{"text":"========","color":"gray"}]
#バージョン表記は→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→→↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑
tellraw @a [{"text":"=================","color":"gray"},{"text":"ツールを入手する","bold":true,"color":"yellow","clickEvent":{"action":"run_command","value":"/function harusaru_pack:tool/give.config_stick"}},{"text":"=================","color":"gray"}]
tellraw @a [{"text":"======================================================","color":"black"}]
#アドオン
tellraw @a [{"text":"・アドオン","color":"aqua","bold":true}]
tellraw @a [{"text":"   >Extended Tools","color":"dark_aqua","hoverEvent":{"action":"show_text","value":"クリックでツールを入手"},"clickEvent":{"action":"run_command","value":"/function harusaru_pack:tool/extended_tools/extended_tool"}}]
tellraw @a [{"text":"   >Terrain Powder","color":"dark_aqua","hoverEvent":{"action":"show_text","value":"クリックでツールを入手"},"clickEvent":{"action":"run_command","value":"/function harusaru_pack:tool/terrain_powder/give_tool"}}]
tellraw @a [{"text":"   >Mining Tool","color":"dark_aqua","hoverEvent":{"action":"show_text","value":"クリックでツールを入手"},"clickEvent":{"action":"run_command","value":"/function harusaru_pack:tool/mining_tool/give"}}]
tellraw @a [{"text":"######################################################","color":"gold"}]

# バージョン表記方法（てきとう）

#『a:b.c.d.e』
#全体完成度：大～中規模追加要素, 極小規模追加要素, 大規模修正, 小規模修正

#[a]はコマンド全体の改良をした際にα β γみたいな感じで上げてく（使い勝手とかを表してたり？）
#[b]は大規模に機能を追加したときに上げていく
#[c]は[b]の小規模版
#[d]は大規模にコマンドを修正したときに上げていく
#[e]は[d]の小規模版


# 更新履歴
#[2020/06/27]alpha:5.1.0.0:アドオン「Terrain Powder」に石を草ブロックに置き換える機能を追加
#[2020/05/24]alpha:5.0.0.1:アドオン「Terrain Powder」のアイテム名を見た目に合わせて変更（TerrainStick ⇨ Terrain Powder）
#[2020/05/04]alpha:5.0.0.0:アドオン「Mining Tool」を追加/統合・スコア名等の書き換え
#[2020/05/04]alpha:4.0.2.0:アドオン「Terrain Powder」の作り変え（ブロックの指定をタグを使った方法からスコアボードを使った方法へ変更・ファンクションファイルを大幅に削減）・読み込み時のタイトル表示を若干変更
#[2020/05/03]alpha:4.0.1.1:アドオン「Terrain Powder」を追加・若干の修正
#[2020/04/15]alpha:3.0.0.0:アドオン「Extended Tools」を統合・修正・改名（旧称:Extended Blocks） スニーク時間計測機能を無効化
#[2020/04/14]alpha:2.6.3.0:ログイン監視コマンドの整理・監視対象toyokolineの追加・ログアウトからの経過時間計測機能の無効化
#[2020/01/04]alpha:2.6.2.4:ConfigStick取得コマンド修正（表記変更）・酒場小広場へのTP追加
#[2019/08/13]alpha:2.5.2.2:ログアウトからの経過時間計測機能追加
#[2019/08/12]alpha:2.4.2.2:ログインプレイヤー検出機能追加・更新履歴書き始め
#



# Bugs
#ConfigStick使用時sendCommandFeedbackがtrueになる・TP使用時falseになる
#



# 以下scoreboard生成コマンド
# プレイヤーの状態検出
scoreboard objectives add Sneak minecraft.custom:minecraft.sneak_time ["スニーク"]

# 鯖管理ツール
scoreboard objectives add config minecraft.used:minecraft.carrot_on_a_stick ["鯖ツール"]

# プレイヤーログイン監視コマンド
scoreboard objectives add login_tuyokou dummy ["ログイン中：tuyokou"]
scoreboard objectives add login_oniduss dummy ["ログイン中：oniduss"]
scoreboard objectives add login_harusaru dummy ["ログイン中：harusaru"]
scoreboard objectives add login_hikari465 dummy ["ログイン中：hikari465"]
scoreboard objectives add li_harumitsu05 dummy ["ログイン中：harumitsu05"]
scoreboard objectives add login_toyokoline dummy ["ログイン中：toyokoline"]
scoreboard objectives add login_herakurosu dummy ["ログイン中：herakurosu"]

# ついでにプレイヤーヘッド設置も
setblock 202 28 241 minecraft:player_head[rotation=8]{ExtraType:"oniduss"} replace
setblock 205 28 241 minecraft:player_head[rotation=8]{ExtraType:"tuyokou"} replace
setblock 200 28 241 minecraft:player_head[rotation=8]{ExtraType:"harusaru"} replace
setblock 203 28 241 minecraft:player_head[rotation=8]{ExtraType:"hikari465"} replace
setblock 201 28 241 minecraft:player_head[rotation=8]{ExtraType:"herakurosu"} replace
setblock 206 28 241 minecraft:player_head[rotation=8]{ExtraType:"toyokoline"} replace
setblock 204 28 241 minecraft:player_head[rotation=8]{ExtraType:"harumitsu05"} replace

# PvPDuel
scoreboard objectives add duel_start dummy ["PvPDuel:開始"]
scoreboard objectives add duel_startcount dummy ["PvPDuel:開始確認"]
scoreboard objectives add duel_timer dummy ["PvPDuel:タイマー"]


# Extended Tools
scoreboard objectives add ET_checkChanging minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add ET_changeBlocks dummy

# Terrain Powder
scoreboard objectives add Terrain_Powder dummy ["TerrainPowder_設置ブロック"]

# Mining Tool
scoreboard objectives add mine_tool_radius dummy
scoreboard objectives add mine_tool_dis dummy
